(function(window, undefined) {
    var document = window.document;

    // OKボタン
    var sendOkData = function (ev) {
        sendRequet(ev);
        close();
    };

    // キャンセルボタン
    var sendCancelData = function (ev) {
        close();
    };

    // イベントの設定
    var setEvent = function () {
        // OKボタン1
        addEvent(document.getElementById('buttonOk1'), 'click', function (ev) {
            sendOkData(ev);
        });
        // OKボタン2
        addEvent(document.getElementById('buttonOk2'), 'click', function (ev) {
            sendOkData(ev);
        });
        // キャンセルボタン
        addEvent(document.getElementById('buttonCancel'), 'click', function (ev) {
            sendCancelData(ev);
        });
        // submitイベントの抑制
        addEvent(document.getElementById('formSample'), 'submit', function (ev) {
            (ev.preventDefault) ? ev.preventDefault() : ev.returnValue = false;
        });
    };

    // イベントの追加処理のラッパー
    var addEvent = function (element, type, handler, bubbling) {
        bubbling = bubbling || false;
        if (element.addEventListener) {
            element.addEventListener(type, handler, bubbling);
        }
        else if (element.attachEvent) {
            var IEhandler = function (ev) {
                ev = ev || window.event;
                ev.currentTarget = element;
                if (Function.prototype.call) {
                    handler.call(element, ev);
                }
                else{
                    element._currentHandler = handler(ev);
                    element._currentHandler = null;
                }
            };
            return element.attachEvent('on' + type, IEhandler);
        }
        else {
            element['on' + type] = handler;
        }
    };

    addEvent(window, 'load', setEvent);
})(window);
