// form要素内のデータをJScriptに渡します
var sendRequet = function (ev) {
    var getNode = function (element, direction, value) {
        while (element = element[direction]) {
            if (element.nodeType === 1 && (value ? element.tagName.toUpperCase() === value.toUpperCase() : true)) {
                break;
            }
        }
        return element;
    };

    var getAncestor = function (element, value) {
        return getNode(element, 'parentNode', value);
    };

    var reg_escape = new RegExp('\\\\', 'g');
    var target = ev.currentTarget;
    var form = getAncestor(target, 'form');
    var formEls = form.elements;
    var el, elType, elName, elValue;
    var checkObj = new Object();
    var checkFlg = new Object();
    var send = new Array();
    for (var i = 0, lenFormEls = formEls.length; i < lenFormEls; i++) {
        el = formEls[i];
        elType = el.type;
        elName = el.name;
        elValue = el.value;
        if ((elType === 'radio' && !el.checked) ||
            (elType === 'button' && el !== target) ||
            (elType === 'submit' && el !== target) ||
            (elType === 'reset' && el !== target)) {
            continue;
        }
        if (elName) {
            if (elType === 'checkbox') {
                if (elName in checkObj) {
                    checkFlg[elName] = true;
                }
                else {
                    checkObj[elName] = new Array();
                    checkFlg[elName] = false;
                }
                if (el.checked) {
                    checkObj[elName].push(elValue.replace(reg_escape, '\\\\'));
                }
            }
            else {
                send.push('"' + elName + '":"' + elValue.replace(reg_escape, '\\\\') + '"');
            }
        }
    }
    var checkValue;
    for (var key in checkObj) {
        if (checkObj[key].length) {
            checkValue = '"' + checkObj[key].join('","') + '"';
            if (checkFlg[key]) {
                checkValue = '[' + checkValue + ']';
            }
            send.push('"' + key + '":' + checkValue);
        }
    }
    new ActiveXObject('Scripting.FileSystemObject').GetStandardStream(1).Write('{' + send.join(',') + '}');
};
